local waterAmbience = CV_RegisterVar({
	name = "watersound",
	defaultvalue = "true",
	flags = CV_SHOWMODIF,
	PossibleValue = CV_TrueFalse,
})

freeslot("sfx_undwa")

addHook("PlayerThink", function(p)
	if p.watertimer == nil then
		p.watertimer = 0
	end
	if p.IsUnderWater then
		p.watertimer = $ + 1
	end
	p.IsUnderWater = false
	if not (p and p.mo and p.mo.valid) then return end
		if (p.mo.eflags & MFE_UNDERWATER) and waterAmbience.value == 1 then
			p.IsUnderWater = true
		end
	if p.IsUnderWater then
		S_SetInternalMusicVolume(60, p)
		if not S_SoundPlaying(p.mo, sfx_undwa) then
			S_StartSound(p.mo, sfx_undwa, p)
		end
	else
		S_StopSoundByID(p.mo, sfx_undwa)
		S_SetInternalMusicVolume(100, p)
	end
	if p.watertimer >= 173 then
		S_StartSound(p.mo, sfx_undwa, p)
		p.watertimer = 0
	end

end)